Home / Lua API Manual / types / dt_collection_sort_t
< dt_collection_sort_order_t
dt_imageio_exr_compression_t >

# dt_collection_sort_t

`enum`

The different elements on which a collection can be sorted

Values:

- DT_COLLECTION_SORT_NONE
- DT_COLLECTION_SORT_FILENAME
- DT_COLLECTION_SORT_DATETIME
- DT_COLLECTION_SORT_IMPORT_TIMESTAMP
- DT_COLLECTION_SORT_CHANGE_TIMESTAMP
- DT_COLLECTION_SORT_EXPORT_TIMESTAMP
- DT_COLLECTION_SORT_PRINT_TIMESTAMP
- DT_COLLECTION_SORT_RATING
- DT_COLLECTION_SORT_ID
- DT_COLLECTION_SORT_COLOR
- DT_COLLECTION_SORT_GROUP
- DT_COLLECTION_SORT_PATH
- DT_COLLECTION_SORT_CUSTOM_ORDER
- DT_COLLECTION_SORT_TITLE
- DT_COLLECTION_SORT_DESCRIPTION
- DT_COLLECTION_SORT_ASPECT_RATIO
- DT_COLLECTION_SORT_SHUFFLE

< dt_collection_sort_order_t
dt_imageio_exr_compression_t >